#=======================================================================
#           This file is a part of the Juju GUI application.
#                  Copyright (C) 2011 Nathan Osman
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#=======================================================================

QT       += core gui
TEMPLATE = app

TARGET = juju-gui

target.path = /usr/bin
INSTALLS += target

SOURCES += src/main.cpp\
           src/CMainWindow.cpp \
           src/CAboutDialog.cpp \
           src/CEnvironmentsDialog.cpp \
           src/CLocalEnvironmentWidget.cpp \
           src/CEC2EnvironmentWidget.cpp \
           src/CGenericEnvironmentWidget.cpp

HEADERS  += include/CMainWindow.h \
            include/CAboutDialog.h \
            include/CEnvironmentsDialog.h \
            include/CLocalEnvironmentWidget.h \
            include/CEC2EnvironmentWidget.h \
            include/CGenericEnvironmentWidget.h

FORMS    += ui/CMainWindow.ui \
            ui/CAboutDialog.ui \
            ui/CEnvironmentsDialog.ui \
            ui/CLocalEnvironmentWidget.ui \
            ui/CEC2EnvironmentWidget.ui \
            ui/CGenericEnvironmentWidget.ui

RESOURCES += resource.qrc

INCLUDEPATH += include
LIBS += -lyaml-cpp
